package com.mortals.xhx.module.certificate.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateClassifyVo;
import lombok.Data;
/**
* 证照分类实体对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class CertificateClassifyEntity extends CertificateClassifyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 分类名称
    */
    private String classifyName;
    /**
    * 排序号
    */
    private Integer sort;
    /**
    * 打印次数
    */
    private Integer total;
    /**
    * 是否首页展示0：否1是
    */
    private Integer showFront;
    /**
    * 证照类型，1：普通，2：正副本
    */
    private Integer classifyType;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateClassifyEntity) {
            CertificateClassifyEntity tmp = (CertificateClassifyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.classifyName = "";
            this.sort = 0;
            this.total = 0;
            this.showFront = 0;
            this.classifyType = 1;
    }
}