package com.mortals.xhx.module.record.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.record.dao.PrintLogDao;
import com.mortals.xhx.module.record.model.PrintLogEntity;
import com.mortals.xhx.module.record.model.PrintLogQuery;
import com.mortals.xhx.module.record.service.PrintLogService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
* PrintLogService
* 证照打印记录 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("printLogService")
public class PrintLogServiceImpl extends AbstractCRUDServiceImpl<PrintLogDao, PrintLogEntity, Long> implements PrintLogService {

    @Override
    protected PrintLogEntity findBefore(PrintLogEntity entity, PageInfo pageInfo, Context context) throws AppException {
        PrintLogQuery query = new PrintLogQuery();
        BeanUtils.copyProperties(entity,query);
        if(StringUtils.isNotEmpty(entity.getQuery())){
            StringBuffer condition = new StringBuffer("%");
            condition.append(entity.getQuery()).append("%");
            PrintLogQuery condition1 = new PrintLogQuery();
            PrintLogQuery condition2 = new PrintLogQuery();
            PrintLogQuery condition3 = new PrintLogQuery();
            PrintLogQuery condition4 = new PrintLogQuery();
            PrintLogQuery condition5 = new PrintLogQuery();
            PrintLogQuery condition6 = new PrintLogQuery();
            PrintLogQuery condition7 = new PrintLogQuery();
            condition1.setEnterpriseName(condition.toString());
            condition2.setPickerName(condition.toString());
            condition3.setPickerIDCardNo(condition.toString());
            condition4.setHolderIDCardNo(condition.toString());
            condition5.setHolderName(condition.toString());
            condition6.setMobile(condition.toString());
            condition7.setCertificateCode(condition.toString());
            List<PrintLogQuery> orConditionList = new ArrayList<>();
            orConditionList.add(condition1);
            orConditionList.add(condition2);
            orConditionList.add(condition3);
            orConditionList.add(condition4);
            orConditionList.add(condition5);
            orConditionList.add(condition6);
            orConditionList.add(condition7);
            query.setOrConditionList(orConditionList);
        }
        query.setOrderColList(new ArrayList<OrderCol>() {
            {
                add(new OrderCol("createTime", OrderCol.DESCENDING));
            }
        });
        return query;
    }
}